
Redmine - Feature #8629

Allow assigning issues and/or watcher status to authenticated non members

2011-06-16 10:22 - Paul Wilson

Status: New Start date: 2011-06-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

This feature request is vaguely similar to #7342 but that issue doesn't particularly fulfill this request.

Our redmine installation is configured to require authentication for access and for manual account activation for self registered

accounts.

Since we require authentication for access, most projects on this system are configured as public and the Non member role set to

permit view access and edit to forum, issue tracking, wiki, etc. This was done to allow all within the organization to have limited

access to all public projects and was working as expected.

But while the majority of the activity within a project is accomplished by the active members of the project team who are all assigned

to the project and associated with some role, it is not uncommon for an issue to require action by someone who is not a direct

member of the team however, unless a user is actually a member of a project, as Non members they cannot be assigned tasks or

designated as watchers.

As a work around, we have an 'Associated' role cloned from the Non member role and an 'Authenticated User' group that includes all

(authenticated) users. This Authenticated user group is assigned to every public project with the 'Associated' role but as the number

of workflow permutations is a function trackers X roles, a new role requires configuring (and maintaining) an additional workflow for

each tracker.

This work around gives us the results we need but it also requires an additional step to ensure each user gets put into the

'Authenticated user' group.

While this work around is more or less acceptable, it would be friendlier if the issue Assignee selection list on the New Issue view and

the add watcher list on the update issue view could be sorted and grouped by roles. Or better yet, sorted by roles and have the roles

expandable/collapsable! Also, the issue Watcher list on the New Issue view would also be more friendly if it also were a select list as

on the update issue view or at least expandable/collapsable as described above.

Related issues:

Related to Redmine - Feature #7342: Default "Everyone" / "Authenticated Users... New 2011-01-15

Has duplicate Redmine - Feature #28405: Allow assigning issue to any user Closed

History

#1 - 2011-08-31 16:22 - Chris Lockwood

+1

#2 - 2011-10-13 12:00 - Etienne Massip

- Category set to Issues

#3 - 2014-09-08 11:59 - Laurent Girard

+1 (or through a +1 near the "Assign to" that would permit to add a user.

#4 - 2014-10-07 10:25 - Toshi MARUYAMA

- Description updated

#5 - 2015-07-08 10:58 - Raffael Link

+1
#6 - 2018-04-02 08:44 - Go MAEDA

- Has duplicate Feature #28405: Allow assigning issue to any user added

#7 - 2018-04-02 18:44 - Wojtek …

+1
